JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const flow = await client.workflows.flows.create({
actions: [{ actionId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', position: 0 }],
name: 'x',
triggerId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(flow.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
flow = client.workflows.flows.create(
actions=[{
"action_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"position": 0,
}],
name="x",
trigger_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(flow.data)curl --request POST \
--url https://api.mobilerun.ai/v1/flows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actions": [
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"children": [
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"continueOnError": false,
"nameOverride": "<string>",
"overrides": {
"params": {}
}
}
],
"continueOnError": false,
"nameOverride": "<string>",
"overrides": {
"params": {}
}
}
],
"name": "<string>",
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cooldownScope": "flow",
"cooldownSeconds": 1,
"description": "<string>",
"deviceIds": [],
"enabled": true,
"healthMonitoringEnabled": true,
"notifyOnFailure": false,
"notifyOnSuccess": false,
"notifyWebhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordingEnabled": false,
"selfHealingEnabled": true,
"selfHealingMaxAttempts": 2
}
'
{
"data": {
"blockedAt": "<string>",
"consecutiveFailures": 1,
"cooldownScope": "flow",
"cooldownSeconds": 123,
"createdAt": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"deviceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"enabled": true,
"healthMonitoringEnabled": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastFailureAt": "<string>",
"lastFailureCode": "device_not_found",
"lastTriggeredAt": "<string>",
"name": "<string>",
"notifyOnFailure": true,
"notifyOnSuccess": true,
"notifyWebhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordingEnabled": true,
"selfHealingEnabled": true,
"selfHealingMaxAttempts": 3,
"status": "healthy",
"templateResolutionVersion": 1,
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Flows
Create a flow
Create a flow that binds a trigger (triggerId) to an ordered list of actions, with at least one action required. Optional settings include target deviceIds, a cooldown (cooldownSeconds/cooldownScope), and webhook notifications on success or failure.
POST
/
flows
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const flow = await client.workflows.flows.create({
actions: [{ actionId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', position: 0 }],
name: 'x',
triggerId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(flow.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
flow = client.workflows.flows.create(
actions=[{
"action_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"position": 0,
}],
name="x",
trigger_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(flow.data)Authorizations
Bearer token via Authorization header
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Required string length:
1 - 256Available options:
flow, device Required range:
x >= 0Maximum string length:
2048Maximum array length:
256Required range:
1 <= x <= 5Response
201 - application/json
Flow created
Show child attributes
Show child attributes
Was this page helpful?
⌘I